Subject: Re: bug#22070: Recreating release 1.6 from git

From: Eric Blake <[email-masked]>
Date: Tue, 1 Dec 2015 14:21:45 -0700

On 12/01/2015 11:09 AM, Doug Evans wrote:
> Hi.
> 
> Is there a recipe for recreating (as close as possible, but not
> necessarily identical to) the 1.6 release from git?

Untested, but roughly:

git checkout v1.6
./bootstrap
./configure
make dist

> 
> There is a v1.6 tag so I can begin with that.
> It's the next step I'm not clear on.
> I can run the bootstrap script and get something that's buildable,
> but I'm left with, IIUC, all of gnulib instead of just the pieces that
> went into the 1.6 release.

Bootstrap clones the gnulib submodule (although you can save disk space
if you also have a clean gnulib.git elsewhere on disk and set
$GNULIB_SRCDIR in the environment appropriately); then copies the needed
files from that submodule into the main working tree.  Then the 'make
dist' step packages just the files that are needed for the tarball (the
files from gnulib that were copied into place, rather than the entire
gnulib submodule).

> 
> There's also the issue of using the same autoconf/automake/etc. but I
> can manage that as needed.
> 
> TIA
> 
> 
> 
> 

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org